Bug 44521 - empty variables for a POST in the HTTP Request don't get ignored
empty variables for a POST in the HTTP Request don't get ignored
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.1
PC Linux
: P2 normal with 1 vote (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-03-03 09:36 UTC by Tom Fernandes
Modified: 2008-11-08 16:46 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Fernandes 2008-03-03 09:36:43 UTC
Steps to reproduce:

Create a Thread Group, two HTTP Requests and a "View Results Tree"-Listener. In the first Request use GET to request a page. Use a Regular Expression Extractor to extract a value.

In the next HTTP Request use ${refName} in the Parameters field in in the name column. In the value column instert ${FOOO} where FOOO has not been assigned.
Make this request a post.

Run the test and look at the post in the Listener.
The Post will contain ${FOOO} in clear text like in:

POST data:
myextracted_value=${FOOO}


On the ML I was told by sebb that this is probably a bug and empty variables in the parameter section should be ignored.


thanks for your good work,


Tom
Comment 1 Sebb 2008-03-05 16:22:26 UTC
What does seem to work is if the name variable is defined, but the value is empty, then the parameter is omitted (even if the value is defined).

This agrees with the documentation, though it's a bit ambiguous.

It would probably be useful if this also applied to non-existent variables, as this would work better with the RE Post-Processor (which removes excess variables).
Comment 2 Sebb 2008-11-08 16:46:55 UTC
Fixed

URL: http://svn.apache.org/viewvc?rev=712453&view=rev
Log:
Bug 44521 - empty variables for a POST in the HTTP Request don't get ignored